com.marklogic.xcc.types

## Class ItemType

- java.lang.Object
- - com.marklogic.xcc.types.ValueType
  - - com.marklogic.xcc.types.ItemType

- Direct Known Subclasses:
    AtomicType, NodeType

      public abstract class ItemType
      extends ValueType

  Each instance of this class corresponds to an XQuery schema type.

- - ### Field Summary

    - ### Fields inherited from class com.marklogic.xcc.types.ValueType

      `ARRAY_NODE, ATTRIBUTE, BINARY, BOOLEAN_NODE, COMMENT, CTS_BOX, CTS_CIRCLE, CTS_POINT, CTS_POLYGON, DOCUMENT, ELEMENT, JS_ARRAY, JS_NULL, JS_OBJECT, NODE, NULL_NODE, NUMBER_NODE, OBJECT_NODE, PROCESSING_INSTRUCTION, SEQUENCE, TEXT, VEC_VECTOR, XS_ANY_URI, XS_BASE64_BINARY, XS_BOOLEAN, XS_DATE, XS_DATE_TIME, XS_DAY_TIME_DURATION, XS_DECIMAL, XS_DOUBLE, XS_DURATION, XS_FLOAT, XS_GDAY, XS_GMONTH, XS_GMONTH_DAY, XS_GYEAR, XS_GYEAR_MONTH, XS_HEX_BINARY, XS_INTEGER, XS_QNAME, XS_STRING, XS_TIME, XS_UNTYPED_ATOMIC, XS_YEAR_MONTH_DURATION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemType` | `forType(java.lang.String schemaTypeName)`
    `abstract boolean` | `isAtomic()` Implemented by subclasses.
    `abstract boolean` | `isNode()` Implemented by subclasses.
    `boolean` | `isSequence()` Always returns false.

    - ### Methods inherited from class com.marklogic.xcc.types.ValueType

      `toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isSequence

          public final boolean isSequence()

      Always returns false.
      Specified by:
        `isSequence` in class `ValueType`
      Returns:
        Always false for XdmItem types.

    - #### isNode

          public abstract boolean isNode()

      Implemented by subclasses.
      Returns:
        True for node item types, false otherwise.

    - #### isAtomic

          public abstract boolean isAtomic()

      Implemented by subclasses.
      Returns:
        True for atomic item types, false otherwise.

    - #### forType

          public static ItemType forType(java.lang.String schemaTypeName)

      Parameters:
        `schemaTypeName` - An XML Schema type name, such as "xs:integer".
      Returns:
        A typesafe enumeration member that represents the type, or null if the type name is not recognized. Note that type names are case-sensitive.

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com